FBCMROT
1
BRL-CAD
BRL-CAD

# fbcmrot

rotate the color map

      fbcmrot
        -H
        -i increment
        steps_per_second

## DESCRIPTION

Fbcmrot rotates the color map, cycling each color map entry through all of the color map positions. The frames_per_second is the number of shifts per second to generate. This value can be fractional. An unspecified frame rate causes the program to cycle through the color maps as fast as possible. A frames_per_second of zero causes the program to make one step and then exit.

Each step shifts the colormap one position toward smaller values (with a linear colormap this would cause displayed pixels to get brighter). The `-i` increment option allows a shift of more than one position. If increment is negative, the colormap will be shifted the opposite direction (toward larger values).

By default, the framebuffer is assumed to be 512x512 pixels. Specifying the `-H` flag changes this to 1024x1024. This is only important for devices such as the Adage framebuffers which operate differently depending on the display size.

## SEE ALSO

brlcad 1, fbcmap 1

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1989-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.